PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes
socks.h File Reference
`#include <ptlib/sockets.h>`
Include dependency graph for socks.h:

Go to the source code of this file.

## Classes
class | PSocksProtocol
| Base class for implementing the SOCKS protocol for use with PSocksSocket and PSocksUDPSocket. More...
class | PSocksSocket
| This is an ancestor class allowing access to a SOCKS servers (version 4 and 5). More...
class | PSocks4Socket
| This class allows access to RFC1928 compliant SOCKS server. More...
class | PSocks5Socket
| This class allows access to RFC1928 compliant SOCKS server. More...
class | PSocksUDPSocket
| This class allows access to RFC1928 compliant SOCKS server. More...